Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros | Functions
resolv.c File Reference
`#include <ruby.h>`
`#include <ruby/encoding.h>`
`#include <windows.h>`
`#include <iphlpapi.h>`

Go to the source code of this file.

## Macros
#define | NTDDI_VERSION 0x06000000

## Functions
void | InitVM_resolv (void)
void | Init_resolv (void)

## Macro Definition Documentation

## ◆ NTDDI_VERSION

#define NTDDI_VERSION 0x06000000

Definition at line 5 of file resolv.c.

## Function Documentation

## ◆ Init_resolv()

void Init_resolv | ( | void |  | ) |

Definition at line 62 of file resolv.c.

References InitVM.

## ◆ InitVM_resolv()

void InitVM_resolv | ( | void |  | ) |

Definition at line 53 of file resolv.c.

References rb_define_module(), rb_define_module_under(), rb_define_private_method(), and rb_singleton_class().